pipeline:
  build:
    image: python
    when:
      event: [ push, pull_request, tag, deployment ]
    commands:
    - curl -fsSL https://deb.nodesource.com/setup_16.x | bash - &&\
    - apt update && apt-get -y --no-install-recommends install nodejs tar gpg curl wget
    - make env
    - make
    - make ci-deploy
    secrets: [ GITEA_WRITE_DEPLOY_KEY, LIBREPAGES_DEPLOY_SECRET ]
